.vc4-rpi3-test:armhf:
  extends:
    - .baremetal-test-armhf
    - .vc4-rules
    - .use-debian/arm_test
  variables:
    BM_BOOTFS: /boot/raspberrypi_armhf
    GPU_VERSION: broadcom-rpi3
    HWCI_KERNEL_MODULES: vc4
    FLAKES_CHANNEL: "#videocore-ci"
  script:
    - ./install/bare-metal/poe-powered.sh
  needs:
    - job: debian/arm_test
      artifacts: false
    - debian-armhf
  tags:
    - igalia-rpi3

vc4-rpi3-gles:armhf:
  extends:
    - .vc4-rpi3-test:armhf
  parallel: 2
  variables:
    HWCI_TEST_SCRIPT: "/install/deqp-runner.sh"
    DEQP_SUITE: broadcom-rpi3

vc4-rpi3-egl:armhf:
  extends:
    - .vc4-rpi3-test:armhf
  variables:
    HWCI_TEST_SCRIPT: "/install/deqp-runner.sh"
    HWCI_START_XORG: 1
    DEQP_RUNNER_OPTIONS: "--tests-per-group 250"
    DEQP_VER: egl

.vc4-rpi3-piglit:armhf:
  extends:
    - .piglit-test
    - .vc4-rpi3-test:armhf
    - .test-manual-mr
  variables:
    HWCI_TEST_SCRIPT: "/install/piglit/piglit-runner.sh"
    BM_POE_TIMEOUT: 180
    HWCI_START_XORG: 1
    PIGLIT_PLATFORM: mixed_glx_egl

vc4-rpi3-piglit-quick_gl:armhf:
  extends:
    - .vc4-rpi3-piglit:armhf
  parallel: 4
  variables:
    FDO_CI_CONCURRENT: 1
    PIGLIT_PROFILES: quick_gl

vc4-rpi3-piglit-quick_shader:armhf:
  extends:
    - .vc4-rpi3-piglit:armhf
  parallel: 2
  variables:
    FDO_CI_CONCURRENT: 2
    PIGLIT_PROFILES: quick_shader

.v3d-rpi4-test:armhf:
  extends:
    - .baremetal-test-armhf
    - .v3d-rules
    - .use-debian/arm_test
  variables:
    HWCI_TEST_SCRIPT: "/install/deqp-runner.sh"
    BM_BOOTFS: /boot/raspberrypi_armhf
    BM_POE_TIMEOUT: 300
    FLAKES_CHANNEL: "#videocore-ci"
    GPU_VERSION: broadcom-rpi4
    HWCI_KERNEL_MODULES: v3d,vc4
  script:
    - ./install/bare-metal/poe-powered.sh
  needs:
    - debian/arm_test
    - debian-armhf
  tags:
    - igalia-rpi4

v3d-rpi4-gles:armhf:
  extends:
    - .v3d-rpi4-test:armhf
  parallel: 8
  variables:
    DEQP_SUITE: broadcom-rpi4

v3d-rpi4-egl:armhf:
  extends:
    - .v3d-rpi4-test:armhf
  variables:
    HWCI_START_XORG: 1
    DEQP_VER: egl

v3d-rpi4-piglit:armhf:
  extends:
    - .piglit-test
    - .v3d-rpi4-test:armhf
  parallel: 4
  variables:
    HWCI_TEST_SCRIPT: "/install/piglit/piglit-runner.sh"
    HWCI_START_XORG: 1
    PIGLIT_PLATFORM: mixed_glx_egl
    PIGLIT_PROFILES: all

v3dv-rpi4-vk:arm64:
  extends:
    - .baremetal-test-arm64
    - .use-debian/arm_test
    - .v3dv-rules
  parallel: 8
  variables:
    HWCI_TEST_SCRIPT: "/install/deqp-runner.sh"
    BM_BOOTFS: /boot/raspberrypi_arm64
    BM_POE_TIMEOUT: 300
    DEQP_EXPECTED_RENDERER: "V3D.4.2"
    DEQP_FRACTION: 5
    DEQP_VER: vk
    FLAKES_CHANNEL: "#videocore-ci"
    GPU_VERSION: broadcom-rpi4
    HWCI_KERNEL_MODULES: v3d,vc4
    VK_DRIVER: broadcom
  script:
    - ./install/bare-metal/poe-powered.sh
  needs:
    - debian/arm_test
    - job: debian-arm64
      artifacts: false
  tags:
    - igalia-rpi4
